package com.yonyou.hrcloud.pm.ps.service;

import com.yonyou.hrcloud.pm.base.model.GradeItem;
import com.yonyou.hrcloud.pm.ps.model.Scheme;
import com.yonyou.hrcloud.pm.ps.model.Sheet;
import com.yonyou.hrcloud.pm.result.model.Score;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Author ZengCL
 * @create 2020/12/9 11:51
 */
public interface IExclQueryService {
    public  List<GradeItem> getGradeByID(String gradeid);

    public void exportTemplateByScheme2Excel(HttpServletRequest request, HttpServletResponse response, List<Map<String, String>> datalist, String schemename, List<GradeItem> gradeItems);

    public  GradeItem getGradeInfoByName(String gradename,String gradeid);

    public String getPsnBycode(String code);

//    public void udateGrade(Score score);

    public Boolean checkExistScore(String schemeid,String psncode,String numcode);

    public Sheet querySheetID(String schemeid, String psncode);
      
    public Scheme querySchemeBySheetID(String schemeid);
    
    public void updateScore(Score score);

}
